Bug 1885457 - gnome-shell killed by SIGTRAP when locking account
Summary: gnome-shell killed by SIGTRAP when locking account
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 33
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-06 03:08 UTC by itrymybest80
Modified: 2022-11-10 23:21 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-30 18:13:03 UTC
Type: Bug


Attachments (Terms of Use)
Full log of the event (242.48 KB, text/plain)
2020-10-15 02:27 UTC, itrymybest80
no flags Details

Description itrymybest80 2020-10-06 03:08:10 UTC
Description of problem: if i lock my account and/or switch user while my system is still loading from having just loged into my account, my session will reset when I log back in again.


Version-Release number of selected component (if applicable): gnome-shell-3.38.0-2.fc33


How reproducible: every 4/5th login if i lock my account too quickly.


Steps to Reproduce:
1. log into your fedora system.
2. now quickly lock your account and/or switch user.
3. sign back in.


Actual results: 2nd login reset my session.


Expected results: current session should remain interrupted.


gnome-shell killed by SIGTRAP
dump_gjs_stack_on_signal_handler
/usr/bin/gnome-shell


okt 06 04:42:01 triton gnome-shell[2825]: gvc_mixer_card_get_index: assertion 'GVC_IS_MIXER_CARD (card)' failed
okt 06 04:42:04 triton gnome-shell[2825]: gvc_mixer_card_get_index: assertion 'GVC_IS_MIXER_CARD (card)' failed
okt 06 04:42:19 triton gnome-shell[2825]: Can't update stage views actor StLabel is on because it needs an allocation.
okt 06 04:42:19 triton gnome-shell[2825]: Can't update stage views actor ClutterText is on because it needs an allocation.
okt 06 04:42:21 triton gnome-shell[2825]: libinput error: event3  - Logitech USB Keyboard: client bug: event processing lagging behind by 102ms, your system is too slow
okt 06 04:42:21 triton gnome-shell[2825]: Can't update stage views actor StLabel is on because it needs an allocation.
okt 06 04:42:21 triton gnome-shell[2825]: Can't update stage views actor ClutterText is on because it needs an allocation.

Comment 1 itrymybest80 2020-10-12 13:29:41 UTC
I've also observed another behavior when unplugging my 2nd monitor (hdmi) and/or vr-headset (hdmi), if I sign out from my account for a duration of time, signal will be lost to my primary monitor (dp).


01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Ellesmere [Radeon RX 470/480/570/570X/580/580X/590] (rev e7) (prog-if 00 [VGA controller])
	Subsystem: Micro-Star International Co., Ltd. [MSI] Device 3417
	Flags: bus master, fast devsel, latency 0, IRQ 138
	Memory at c0000000 (64-bit, prefetchable) [size=256M]
	Memory at d0000000 (64-bit, prefetchable) [size=2M]
	I/O ports at e000 [size=256]
	Memory at dfe00000 (32-bit, non-prefetchable) [size=256K]
	Expansion ROM at 000c0000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: amdgpu
	Kernel modules: amdgpu

Comment 2 itrymybest80 2020-10-14 19:42:26 UTC
Apparently that's not it and just requires me to leave my system logged out for a duration of time (less than 10 min last night) in order to trigger this odd behaviour.

It doesn't always seem to happen, but when it does, I get the same kind of libinput messages telling me that my system is too slow and my mouse/keyboard are lagging behind.

gnome-shell-3.38.1-2.fc33.x86_64 tried this with no effect, perhaps not even related, but I just thought I'd share this as it keeps affecting my system regularly.

Comment 3 itrymybest80 2020-10-15 02:27:44 UTC
Created attachment 1721670 [details]
Full log of the event

Comment 4 itrymybest80 2020-10-15 02:28:49 UTC
I was able to catch it once again, a ton of gnome-shell, window manager and libinput warnings. Hopefully the log I've provided will help find the problem. Apologies for the spam.

Comment 5 itrymybest80 2021-03-09 23:31:02 UTC
I've got the same issue on the latest test week 5.11.4-50.fc33.x86_64 kernel, when I boot my computer and stop at the login screen for a short duration without entering my password w/o any kind of input.

I can trigger the bug over and over again (always), by simply leaving my computer for a short duration and/or once my monitor enters standby-mode (waiting for input) and trying to wake it up by moving my mouse.

Comment 6 Ben Cotton 2021-11-04 14:57:12 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2021-11-04 15:55:47 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2021-11-30 18:13:03 UTC
Fedora 33 changed to end-of-life (EOL) status on 2021-11-30. Fedora 33 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 GroovieMan 2022-11-10 23:21:35 UTC
Problem is back again on my system, see https://bugzilla.redhat.com/show_bug.cgi?id=2140339


Note You need to log in before you can comment on or make changes to this bug.